Skip to main content
PUT
/
public
/
workspace
/
{workspaceId}
/
links
/
{linkId}
Update recording link
curl --request PUT \
  --url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "linkTitle": "<string>",
  "linkReusable": true,
  "linkProviderId": "<string>",
  "linkProviderRef": "<string>",
  "linkMeta": {}
}
'
import requests

url = "https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId}"

payload = {
"linkTitle": "<string>",
"linkReusable": True,
"linkProviderId": "<string>",
"linkProviderRef": "<string>",
"linkMeta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
linkTitle: '<string>',
linkReusable: true,
linkProviderId: '<string>',
linkProviderRef: '<string>',
linkMeta: {}
})
};

fetch('https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "link": {
      "linkId": "<string>",
      "linkTitle": "<string>",
      "linkReusable": true,
      "linkProviderId": "<string>",
      "linkProviderReference": "<string>",
      "linkURL": "<string>",
      "linkMeta": {},
      "createdAt": "<unknown>",
      "project": {
        "projectId": "<string>",
        "title": "<string>"
      },
      "creator": {
        "workspaceMemberId": "<string>",
        "name": "<string>"
      },
      "domain": {
        "domainId": "<string>",
        "url": "<string>"
      }
    }
  }
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Failed to update link",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
Updates the settings of an existing recording link. All body fields are optional — only include the fields you want to change.

Errors

Error codeStatusDescription
LINK_NOT_FOUND404Link does not exist
LINK_GONE410Link has been deleted
LINK_UPDATE_FAILED500Failed to update the link
Also returns common authentication errors.

Get Link

Retrieve link details before or after update

Delete Link

Soft-delete a link you no longer need

Create Link

Create a new recording link

List Links

View all links in the workspace

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1
Minimum string length: 1

Body

application/json
Maximum string length: 255
Available options:
intercom,
zendesk,
hubspot,
freshdesk,
freshchat,
jira_service_management,
helpscout,
happyfox,
ada,
forethought,
servicenow,
front,
zoho_desk,
crisp,
pylon,
plain,
asana,
azure_devops,
clickup,
github,
gitlab,
jira,
linear,
notion,
sentry,
slack,
web,
others
Maximum string length: 255
Maximum string length: 2048

Response

OK

message
string
required
data
object
required